Bug 567706 - F-13-Alpha-RC2 default contains unresolved deps - xorg-x11-drv-nouveau-0.0.16-0.20100205gite75dd23.fc13.x86_64 requires kernel-drm-nouveau = 15
Summary: F-13-Alpha-RC2 default contains unresolved deps - xorg-x11-drv-nouveau-0.0.16...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F13Alpha, F13AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2010-02-23 17:43 UTC by James Laska
Modified: 2013-09-02 06:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-24 19:02:05 UTC


Attachments (Terms of Use)

Description James Laska 2010-02-23 17:43:54 UTC
Description of problem:

Attempting a default installs of F-13-Alpha-RC2 results in a dependency conflict.

1:xorg-x11-drv-nouveau-0.0.16-0.20100205gite75dd23.fc13.x86_64 requires kernel-drm-nouveau = 15

Version-Release number of selected component (if applicable):
 * xorg-x11-drv-nouveau-0.0.16-0.20100205gite75dd23.fc13.x86_64

How reproducible:
 * every time

Steps to Reproduce:
1. Perform a default package install of F-13-Alpha-RC2 (or just use @base and @base-x comps.xml groups)

Actual results:

The install stops with the following prompt

       ┌──────────────────────────┤ Warning ├───────────────────────────┐
       │                                                                │
       │    Some of the packages you have selected for install are      │
       │    missing dependencies.  You can exit the installation,       │
       │    go back and change your package selections, or continue     │
       │    installing these packages without their dependencies.       │
       │                                                                │
       │ 1:xorg-x11-drv-nouveau-0.0.16-0.20100205gite75dd23.fc13.x86_ ↑ │       
       │ 64 requires kernel-drm-nouveau = 15                          ▮ │       
       │                                                              ▒ │       
       │                                                              ▒ │       
       │                                                              ▒ │       
       │                                                              ↓ │       
       │                                                                │
       │    ┌────────────────┐        ┌──────┐        ┌──────────┐      │
       │    │ Exit installer │        │ Back │        │ Continue │      │
       │    └────────────────┘        └──────┘        └──────────┘      │
       │                                                                │
       │                                                                │
       └────────────────────────────────────────────────────────────────┘

Expected results:

Clean deps in the default install.

Additional info:
 * Raising as an Alpha release blocker (https://fedoraproject.org/wiki/Fedora_13_Alpha_Release_Criteria) per criteria ... "No file conflicts or unresolved package dependencies during a media-based (CD/DVD) install "

Comment 1 Adam Williamson 2010-02-23 17:51:54 UTC
there's a newer version of nouveau that should be in the build. as the update notes say:

https://admin.fedoraproject.org/updates/mesa-7.8-0.18.fc13,xorg-x11-drv-nouveau-0.0.16-2.20100218git2964702.fc13,kernel-2.6.33-0.47.rc8.git1.fc13,libdrm-2.4.18-0.1.fc13

"This breaks the driver ABI, so all pieces required."

I guess RC2 pulled a newer kernel without the matching nouveau / libdrm - not Ben's fault. re-assigning to releng.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Adam Williamson 2010-02-23 17:52:17 UTC
forgot 'mesa' in the above list.

Comment 3 Andre Robatino 2010-02-23 19:26:47 UTC
Why doesn't the procedure in

https://fedoraproject.org/wiki/QA:Testcase_Mediakit_Repoclosure

pick this up?  (Not familiar with the repoclosure command.)

Comment 4 James Laska 2010-02-23 20:26:45 UTC
(In reply to comment #3)
> Why doesn't the procedure in
> 
> https://fedoraproject.org/wiki/QA:Testcase_Mediakit_Repoclosure
> 
> pick this up?  (Not familiar with the repoclosure command.)    

Well, I can say we figured out why the automated rats_sanity test was not discovering this issue.  Will Woods found a bug and provided an update.

http://git.fedorahosted.org/git/?p=autoqa.git;a=commit;h=deb0d2bacde2173e40d5faff04b810ebc5a4c438

Interestingly, when I run the above test case with the '-n' repoclosure flag, it correctly finds this failure.

$ repoclosure --repofrompath=media,/media -a x86_64 -a noarch -r media -n
Added media repo from /media
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
   media
Num Packages in Repos: 3256
package: 1:xorg-x11-drv-nouveau-0.0.16-0.20100205gite75dd23.fc13.x86_64 from media
  unresolved deps: 
     kernel-drm-nouveau = 0:15

Let's continue discussion on the test@lists.fedoraproject.org mailing list

Comment 5 Jesse Keating 2010-02-24 19:02:05 UTC
I've fixed this in later RC composes to include the newer nouveau driver.


Note You need to log in before you can comment on or make changes to this bug.